%define	major	0
%define	libname	%mklibname %name %major
%define develname %{name}-devel

Summary:	Scribus - Open Source Page Layout
Name:		scribus
Version:	1.4.0
Release:	%mkrel 1
Source0:	http://downloads.sourceforge.net/scribus/%{name}-%{version}.tar.xz
URL:		http://www.scribus.net/
License:	GPLv2+
Group:		Office
BuildRequires:	aspell-devel
BuildRequires:	cups-devel
BuildRequires:	lcms-devel
BuildRequires:	boost-devel
BuildRequires:	cairo-devel
BuildRequires:	qt4-devel >= 4:4.6.0
BuildRequires:	python-devel
BuildRequires:	libtiff-devel
BuildRequires:	desktop-file-utils imagemagick
BuildRequires:	cmake >= 2.6.0
Requires:	tkinter
Requires:	ghostscript-common

Obsoletes:	scribus-i18n-en
Obsoletes:	scribus-i18n-de
Obsoletes:	scribus-i18n-fr
Obsoletes:	%libname

%description
Scribus is a desktop open source page layout program with the aim of
producing commerical grade output in PDF and Postscript, primarily,
though not exclusively, for Linux.

While the goals of the program are ease of use and simple
easy-to-understand tools, Scribus offers support for professional
publishing features, such as CMYK colors, easy PDF creation,
Encapsulated Postscript import and export, and creation of color
separations.

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(de) %{_mandir}/de/man1/*
%{_libdir}/scribus
%{_datadir}/mime/packages/*.xml
%{_datadir}/scribus
%_iconsdir/hicolor/*/apps/%{name}.png
%doc %{_datadir}/doc/%{name}*

#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development tools for programs which will use the %libname library
Group:		Development/C++
Obsoletes:	%{libname}-devel
Obsoletes:	libkde3-scribus0-devel
Provides:	libkde3-scribus0-devel

%description -n	%{develname}
The %{develname} package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{develname}-devel.  You'll also need to have the %name
package installed.

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS COPYING
%_includedir/%name/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_qt4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

install -d %buildroot%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir %buildroot%{_datadir}/applications/ \
	--remove-key='Encoding' \
	--remove-category='Application' \
	--remove-category='Graphics' \
	--add-category='Office' \
	--add-category='Publishing' \
	--add-category='X-MandrivaLinux-CrossDesktop'\
	%name.desktop

# install icons for hicolor and old WM
mkdir -p %buildroot%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
for size in 16x16 32x32 48x48; do
convert -resize $size resources/icons/scribus.png %buildroot%_iconsdir/hicolor/$size/apps/%{name}.png
done

# we do not need kde stuffs for 2009
rm -f %buildroot%_datadir/mimelnk/application/vnd.scribus.desktop

%clean
rm -rf %{buildroot}


%changelog

* Mon Jan 02 2012 fwang <fwang> 1.4.0-1.mga1
+ Revision: 189544
- new version 1.4.0 final

* Sun Apr 03 2011 boklm <boklm> 1.4.0-0.rc3.1.mga1
+ Revision: 79970
- version 1.4.0.rc3

* Fri Feb 25 2011 ahmad <ahmad> 1.4.0-0.rc1.1.mga1
+ Revision: 59903
- update to 1.4.0.rc1 (1.4.0 official release will be out soon)
- bump qt4-devel BR
- drop old/unneeded scriptlets

* Fri Feb 25 2011 ennael <ennael> 1.3.9-1.mga1
+ Revision: 59557
- clean spec file
- imported package scribus

